=== modified file 'bzrlib/lock.py'
--- bzrlib/lock.py	2007-03-14 23:13:41 +0000
+++ bzrlib/lock.py	2007-03-15 19:22:25 +0000
@@ -274,13 +274,12 @@
 
             self.hfile = msvcrt.get_osfhandle(self.f.fileno())
             overlapped = OVERLAPPED()
-            p_overlapped = ctypes.pointer(overlapped)
             result = _LockFileEx(self.hfile, # HANDLE hFile
                                  lockmode,   # DWORD dwFlags
                                  0,          # DWORD dwReserved
                                  0x7fffffff, # DWORD nNumberOfBytesToLockLow
                                  0x00000000, # DWORD nNumberOfBytesToLockHigh
-                                 p_overlapped, # lpOverlapped
+                                 ctypes.by_ref(overlapped), # lpOverlapped
                                 )
             if result == 0:
                 self._clear_f()
@@ -292,12 +291,11 @@
 
         def unlock(self):
             overlapped = OVERLAPPED()
-            p_overlapped = ctypes.pointer(overlapped)
             result = _UnlockFileEx(self.hfile, # HANDLE hFile
                                    0,          # DWORD dwReserved
                                    0x7fffffff, # DWORD nNumberOfBytesToLockLow
                                    0x00000000, # DWORD nNumberOfBytesToLockHigh
-                                   p_overlapped, # lpOverlapped
+                                   ctypes.by_ref(overlapped), # lpOverlapped
                                   )
             self._clear_f()
             if result == 0:

=== modified file 'bzrlib/tests/per_lock/test_lock.py'
--- bzrlib/tests/per_lock/test_lock.py	2007-03-14 20:15:52 +0000
+++ bzrlib/tests/per_lock/test_lock.py	2007-03-15 19:22:25 +0000
@@ -51,6 +51,7 @@
         self.addCleanup(a_lock.unlock)
         txt = a_lock.f.read()
         self.assertEqual('', txt)
+        a_lock.f.seek(0)
         a_lock.f.write('foo\n')
         a_lock.f.seek(0)
         txt = a_lock.f.read()
@@ -67,7 +68,6 @@
         a_lock = self.read_lock('a-file')
         a_lock.unlock()
 
-        # TODO: jam 20070313 This should be a specific subclass
         self.assertRaises(errors.ReadOnlyLockError, self.write_lock, 'a-file')
 
     def test_write_lock(self):

